com.pixelmed.test

## Class TestSUVTransformValues

- java.lang.Object
- - TestCase
  - - com.pixelmed.test.TestSUVTransformValues

-     public class TestSUVTransformValues
      extends TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestSUVTransformValues(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `static Test` | `suite()`
    `protected void` | `tearDown()`
    `void` | `TestSUVTransformValues_BQML()`
    `void` | `TestSUVTransformValues_BQMLWithTimezoneOffset()`
    `void` | `TestSUVTransformValues_DeriveScanDateTimeFromHalfLifeAcquisitionDateTimeFrameReferenceTimeAndActualFrameDuration()`
    `void` | `TestSUVTransformValues_GMLUnitsWithoutSUVType()`
    `void` | `TestSUVTransformValues_PhilipsSUVScaleFactor()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestSUVTransformValues

          public TestSUVTransformValues(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### setUp

          protected void setUp()

    - #### tearDown

          protected void tearDown()

    - #### TestSUVTransformValues_BQML

          public void TestSUVTransformValues_BQML()
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestSUVTransformValues_BQMLWithTimezoneOffset

          public void TestSUVTransformValues_BQMLWithTimezoneOffset()
                                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestSUVTransformValues_PhilipsSUVScaleFactor

          public void TestSUVTransformValues_PhilipsSUVScaleFactor()
                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestSUVTransformValues_GMLUnitsWithoutSUVType

          public void TestSUVTransformValues_GMLUnitsWithoutSUVType()
                                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestSUVTransformValues_DeriveScanDateTimeFromHalfLifeAcquisitionDateTimeFrameReferenceTimeAndActualFrameDuration

          public void TestSUVTransformValues_DeriveScanDateTimeFromHalfLifeAcquisitionDateTimeFrameReferenceTimeAndActualFrameDuration()
                                                                                                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`